<?php

namespace Modules\Address\Interfaces;

use Modules\Address\Models\Address;



interface AddressRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function getItemTrashed(int $id);
    public function create(array $request): Address;
    public function update(array $request, Address $address): Address;
    public function destroy(Address $address): void;
    public function destroyAll(array $ids): void;
    public function restore(Address $address): void;
    public function restoreAll(array $ids): void;
}
